SAP Knowledge Base Article - Public

2308718 - Error: Release SAP_LEAP of Solution is not Compatible with System

Symptom

You see the below error when attempting to upload a solution to your tenant.

Release SAP_LEAP XYZ of solution is not compatible with system

Environment

  • SAP Cloud Application Studio (SDK)

Reproducing the Issue

  1. Login to the Cloud Application Studio in tenant 1.
  2. Download the zip file of your custom solution from tenant 1.
  3. Login to the Cloud Application Studio in tenant 2.
  4. Upload the zip file of your custom solution into tenant 2.
  5. The above error occurs.

Cause

You will receive this error message while trying to deploy the patch version from tenant 1[Higher Release Version] to tenant 2 [Lower Release Version].

You cannot deploy a solution to a target tenant which is in a different release version. This means when your test tenant upgrades to version 1805, you cannot deploy an 1805 patch / solution to your 1802 production tenant.

Resolution

You must wait until the source and the target tenants are on the same release version.

See Also

You refer to the below SCN link about the same issue:

You can refer to the below SCN link if you want to how to use the Production Fix feature in case you want to make direct ABSL code changes in such scenario.

Keywords

Release, Upgrade, SAP_BYD, Solution, Not Compaitable, Error, PDI, SDK, Cloud Application Studio , KBA , AP-RC-BDS-1O , ByDesign Studio OneOffs , How To

Product

SAP Business ByDesign all versions ; SAP Cloud for Customer add-ins all versions